Send Message

POST /internal/admin/comms/v1/messages

Operation id: post__internal_admin_comms_v1_messages

Description

Post a message with at least one target

Tags: User Messages

Parameters

Query parameters

NameTypeRequiredDescription
deptarrayNoDepartment list
rolearrayNoRole list
sitearrayNoSite list
userarrayNoUser list (Note: Do not use site list input field if message is meant for a user.)

Security

  • BearerAuth (http / bearer)
    • Enter the token

Responses

200 — OK

Content type: application/json

400 — Bad Request

Content type: application/json

401 — Unauthorized

Content type: application/json

Request body

Required: Yes

application/json

Schema

PropertyTypeRequiredDescription
textstringNo
{
  "type": "object",
  "properties": {
    "text": {
      "type": "string"
    }
  }
}

Response models

200 — OK

Content type: application/json

Schema

PropertyTypeRequiredDescription
textstringNo
typestringNo
{
  "type": "object",
  "properties": {
    "text": {
      "type": "string"
    },
    "type": {
      "type": "string"
    }
  }
}

400 — Bad Request

Content type: application/json

Schema

PropertyTypeRequiredDescription
codeintegerNo
messagestringNo
{
  "type": "object",
  "properties": {
    "code": {
      "type": "integer",
      "example": 0
    },
    "message": {
      "type": "string",
      "example": "Success"
    }
  }
}

401 — Unauthorized

Content type: application/json

Schema

PropertyTypeRequiredDescription
codeintegerNo
messagestringNo
{
  "type": "object",
  "properties": {
    "code": {
      "type": "integer",
      "example": 0
    },
    "message": {
      "type": "string",
      "example": "Success"
    }
  }
}